## tetzle 2.0.0

=== debian/changelog ===
tetzle (2.0.0-1) unstable; urgency=low

  * Synced with https://launchpad.net/~gottcode/+archive/gcppa/
  * debian/control: Fixed "dpkg-source: warning: unknown information field
    'Suggests' in input data in general section of control info file".

 -- Bart Martens <bartm@debian.org>  Thu, 02 Jun 2011 02:51:09 +0000

tetzle (2.0.0-0ppa2~oneiric1) oneiric; urgency=low

  * Added optional dependency on jhead.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 18 May 2011 20:31:13 -0400

tetzle (2.0.0-0ppa1~oneiric1) oneiric; urgency=low

  * New upstream release.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 18 May 2011 14:12:30 -0400

tetzle (1.2.1-1) unstable; urgency=low

  * Initial package in Debian.  Closes: #530340.
  * debian/patches/01_paths.diff: Added.  Replaces /usr/local by /usr
    and /usr/bin by /usr/games.
  * debian/rules, debian/menu, debian/install: Use imagemagick to convert the
    icon to .xpm format for debian/menu.

 -- Bart Martens <bartm@debian.org>  Sun, 24 May 2009 00:19:45 +0200
