=== debian/control ===
Source: tetzle
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, libqt4-opengl-dev
Standards-Version: 3.9.2
Homepage: http://gottcode.org/tetzle/

Package: tetzle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jhead
Description: Jigsaw puzzle game
 Any image can be imported and used to create puzzles with a wide range of
 sizes. Games are saved automatically, and you can select between currently
 in progress games.
