## tetzle 2.0.1

=== debian/changelog ===
tetzle (2.0.1-1) unstable; urgency=low

  * New upstream release.  Closes: #668772.
  * debhelper 9, no more cdbs.
  * debian/patches/01_dont-draw-empty-scene.diff: Removed, is in upstream now.
  * debian/patches/02_check-for-GLSL.diff: Removed, is in upstream now.
  * debian/patches/03_detect-graphics-layer.diff: Removed, is in upstream now.

 -- Bart Martens <bartm@debian.org>  Sun, 20 May 2012 06:09:10 +0000

tetzle (2.0.0-2) unstable; urgency=low

  * Added patches.  Closes: #671738.
    + debian/patches/01_dont-draw-empty-scene.diff
    + debian/patches/02_check-for-GLSL.diff
    + debian/patches/03_detect-graphics-layer.diff
  * debian/control: Build-Conflicts: qt3-dev-tools.  Closes: #565796.

 -- Bart Martens <bartm@debian.org>  Sun, 13 May 2012 04:30:35 +0000
