=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, libqt4-opengl-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
+Build-Conflicts: qt3-dev-tools
+Standards-Version: 3.9.3
 Homepage: http://gottcode.org/tetzle/
 
 Package: tetzle
