=== debian/watch ===
version=3
http://gottcode.org/tetzle/ .*tetzle-(.*)-src\.tar\.bz2$
