## tetzle 2.0.2.1

=== debian/changelog ===
tetzle (2.0.2.1-3) unstable; urgency=low

  * Fix "tetzle: build failures on ARM"
    - d/p/fix-arm-build.patch
      Thanks Graeme Gott for patch
    (Closes: #717949)

 -- Hector Oron <zumbi@debian.org>  Mon, 05 Aug 2013 00:48:34 +0000

tetzle (2.0.2.1-2) unstable; urgency=low

  * QA upload, orphaning this package.
  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 26 Jul 2013 17:57:14 +0000
