=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
 Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gottcode.org/tetzle/
 
 Package: tetzle
