=== debian/watch ===
version=3
opts=uversionmangle=s/(\db?)[_\-\.](src)$/$1/ \
http://gottcode.org/tetzle/download/ \
(?:.*/|.*=|)tetzle[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
