## tetzle 2.0.3

=== debian/changelog ===
tetzle (2.0.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Removed fix-arm-build.patch - fixed upstream
  * Changed URLS to use HTTPS
  * Converted copyright to DEP-5
  * Bumped standards version to 3.9.8

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 29 Jun 2016 06:39:28 +0100
