=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
 Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.4
-Homepage: http://gottcode.org/tetzle/
+Standards-Version: 3.9.8
+Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle
 Architecture: any
