## tetzle 2.1.0

=== debian/changelog ===
tetzle (2.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
    - Updated build-deps to QT5
  * Removed broken watch file
  * Replaced menu file with desktop file
  * Added some missing information in d/copyright
  * Bumped compat to 10
  * Standards version 4.0.0

 -- David William Richmond Davies-Jones <david@exultantmonkey.co.uk>  Thu, 29 Jun 2017 01:40:05 +0100
