=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev
-Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
+Standards-Version: 4.0.0
 Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle
