## tetzle 2.1.1+dfsg1

=== debian/changelog ===
tetzle (2.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #737285).
    + Changed Maintainer field in debian/control file.
    + Add new maintainer in debian/copyright file.
  * Standards version 4.1.0: no special changes required.
  * Added Categories and Keywords fields on debian/desktop file.
  * Added tetzle.appdata.xml file on debian directory.
  * Reintroduced debian/watch file.
  * Added export DEB_BUILD_MAINT_OPTIONS on debian/rules.
  * Added Vcs-Browser and Vcs-Git on debian/control file.
  * Repacking sources due to unnecessary files.
    + Added README.source file en debian directory (see for
    details).
    + Added +dfsg1 to package name.
  

 -- Innocent De Marchi <tangram.peces@gmail.com>  Wed, 13 Sep 2017 07:23:17 +0100
