=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tetzle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Homepage: https://gottcode.org/tetzle/
 
 Package: tetzle
