=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 #export DH_VERBOSE=1
 export QT_SELECT=qt5
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 
 %:
 	dh $@
