## tetzle 2.1.2+dfsg1

=== debian/changelog ===
tetzle (2.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Bumped standards version to 4.1.3 (no changes required).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 06 Jan 2018 17:15:12 +0100

tetzle (2.1.1+dfsg1-2) unstable; urgency=medium

  * Changed libqt5opengl5-dev build dependency by libqt5opengl5-desktop-dev
    (Closes: #884395 ; LP: 935473).
  * Bumped standards version to 4.1.2 (no changes required).
  * Added tetrominoes word in keywords field on debian/desktop.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 15 Dec 2017 17:13:25 +0100
