=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), libqt5opengl5-dev (>=5.2)
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 10), qttools5-dev-tools (>=5.2), 
+               libqt5opengl5-desktop-dev
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tetzle.git
 Homepage: https://gottcode.org/tetzle/
