=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
