=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
  https://github.com/gottcode/tetzle/tags .*/v?(\d\S*)\.tar\.gz
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
#opts=dversionmangle=s/\.dfsg.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
