## tetzle 2.1.3+dfsg1

=== debian/changelog ===
tetzle (2.1.3+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:33:24 +0800

tetzle (2.1.3+dfsg1-2) unstable; urgency=medium

  * Adopting package (Closes: #922886)
  * Update compat to debhelper-compat (=12)
  * Update standards version to 4.3.0
  * Move VCS to debian project space on salsa.debian.net

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 11:39:20 +0200

tetzle (2.1.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Bumped standards version to 4.1.4 (no changes required).
  * Migrated to Salsa.
  * Bumped debhelper and compat level to 11.
  * Updated years on d/copyright.
  * Updated README.source.
  * Added Files-Excluded field on d/copyright.
  * Added d/docs file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 11 Jun 2018 18:25:12 +0100
