=== debian/control ===
Source: tetzle
Section: games
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
               libqt5opengl5-desktop-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/tetzle
Vcs-Git: https://salsa.debian.org/debian/tetzle.git
Homepage: https://gottcode.org/tetzle/

Package: tetzle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jhead
Description: Jigsaw puzzle game
 Any image can be imported and used to create puzzles with a wide range of
 sizes. Games are saved automatically, and you can select between currently
 in progress games.
