## tetzle 2.1.4+dfsg1

=== debian/changelog ===
tetzle (2.1.4+dfsg1-2) unstable; urgency=medium

  * Source-only upload
  * Update standards version to 4.4.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Jul 2019 13:28:24 +0200

tetzle (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update metadata license information
  * Remove no longer needed debian/docs

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 13:57:56 +0200
