## tetzle 2.1.5+dfsg1

=== debian/changelog ===
tetzle (2.1.5+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:41 +0100

tetzle (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Oct 2019 11:39:02 +0000

tetzle (2.1.4+dfsg1-3) unstable; urgency=medium

  * Remove extra appdata.xml file (upstream file is now provided)
  * Add copyright information for data/unix/tetzle.appdata.xml
  * Add self to copyright file
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Oct 2019 13:24:19 +0200
