=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
                libqt5opengl5-desktop-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
 Homepage: https://gottcode.org/tetzle/
