## tetzle 2.1.6

=== debian/changelog ===
tetzle (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove extraneous comments from watch file
  * Remove README.debian ('windows' and 'tools' directories are no
    longer shipped in upstream tarball so no -dfsg tarball required)
  * Upgrade debhelper-compat to level 13
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Sat, 02 May 2020 17:51:34 +0200
