=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), qttools5-dev-tools (>=5.2),
+Build-Depends: debhelper-compat (= 13), qttools5-dev-tools (>=5.2),
                libqt5opengl5-desktop-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
 Homepage: https://gottcode.org/tetzle/
