## tetzle 2.2.0

=== debian/changelog ===
tetzle (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0
  * Update dependencies for qt6 migration

 -- Jonathan Carter <jcc@debian.org>  Wed, 16 Feb 2022 13:55:02 +0200
