=== debian/control ===
--- 
+++ 
@@ -2,9 +2,18 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), qttools5-dev-tools (>=5.2),
-               libqt5opengl5-desktop-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+ qt6-tools-dev,
+ qt6-l10n-tools,
+ qt6-tools-dev-tools,
+ qt6-base-dev-tools,
+ libqt6widgets6,
+ libqt6gui6,
+ libqt6core6,
+ mesa-common-dev,
+ libqt6opengl6-dev,
+ cmake
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
