=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
  https://github.com/gottcode/tetzle/tags .*/v?(\d\S*)\.tar\.gz
