## tetzle 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # Configure project
-project(tetzle VERSION 2.2.0 LANGUAGES CXX)
+project(tetzle VERSION 2.2.1 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -18,7 +18,7 @@
 	add_compile_definitions(
 		QT_STRICT_ITERATORS
 		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-		QT_DISABLE_DEPRECATED_BEFORE=0x060000
+		QT_DISABLE_DEPRECATED_BEFORE=0x060300
 	)
 endif()
 
@@ -90,7 +90,7 @@
 		QT_TARGET_VERSION "${PROJECT_VERSION}"
 		QT_TARGET_COMPANY_NAME "Graeme Gott"
 		QT_TARGET_DESCRIPTION "Jigsaw puzzle game"
-		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
+		QT_TARGET_COPYRIGHT "Copyright (C) 2022 Graeme Gott"
 		QT_TARGET_PRODUCT_NAME "Tetzle"
 		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/tetzle.ico
 	)
