=== debian/changelog ===
tetzle (2.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Jonathan Carter ]
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Aug 2022 12:24:51 +0200

tetzle (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 May 2022 12:31:24 +0200
