=== debian/changelog ===
tetzle (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 08 Feb 2023 09:42:04 +0200
