=== debian/changelog ===
tetzle (2.2.3-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:54 +1100

tetzle (2.2.3-1ubuntu2) noble; urgency=medium

  * Replace libqt6gui6 with libqt6gui6t64 in Build-Depends.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Mar 2024 12:12:47 +0100

tetzle (2.2.3-1ubuntu1) noble; urgency=medium

  * Replace libqt6widgets6 with libqt6widgets6t64 in Build-Depends.
  * Replace libqt6core6 with libqt6core6t64 in Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Mar 2024 14:43:58 +1300

tetzle (2.2.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:55 +0000

tetzle (2.2.3-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Sat, 20 Jan 2024 18:18:11 +0200
