=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
  qt6-tools-dev,
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6,
- libqt6gui6,
- libqt6core6,
+ libqt6widgets6t64,
+ libqt6gui6t64,
+ libqt6core6t64,
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
