## tetzle 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2024 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 2.2.3 LANGUAGES CXX)
+project(tetzle VERSION 3.0.0 LANGUAGES CXX)
 
 set(project_copyright "2008-2024 Graeme Gott")
 
@@ -15,40 +15,31 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools OpenGL OpenGLWidgets Widgets)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
 include(GNUInstallDirs)
 
 add_compile_definitions(
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060700>
 )
 
 # Version number
 include(cmake/AddVersionCompileDefinition.cmake)
 add_version_compile_definition(src/main.cpp VERSIONSTR)
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(tetzle
+qt_add_executable(tetzle
 	src/add_image.cpp
 	src/appearance_dialog.cpp
 	src/board.cpp
 	src/choose_game_dialog.cpp
 	src/color_button.cpp
 	src/dancing_links.cpp
+	src/edge_scroller.cpp
+	src/fragment_list.cpp
 	src/generator.cpp
-	src/graphics_layer.cpp
 	src/image_properties_dialog.cpp
 	src/locale_dialog.cpp
 	src/main.cpp
@@ -72,9 +63,15 @@
 target_link_libraries(tetzle PRIVATE
 	Qt6::Core
 	Qt6::Gui
-	Qt6::OpenGL
-	Qt6::OpenGLWidgets
 	Qt6::Widgets
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(tetzle
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Optimize build
