=== debian/changelog ===
tetzle (3.0.0-1build1) oracular; urgency=medium

  * No-change rebuild to include missing Changed-By field

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Aug 2024 10:39:38 +0000

tetzle (3.0.0-1) unstable; urgency=medium

  * New upstream release 
  * Update standards verion to 4.7.0
  * update copyright years

tetzle (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer Upload.

  [ Hilmar Preuße ]
  * Remove explicit BD on some libraries (Closes: #1068090)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 11:31:52 +0200
