=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: tetzle
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
  qt6-tools-dev,
  qt6-l10n-tools,
  qt6-tools-dev-tools,
  qt6-base-dev-tools,
- libqt6widgets6t64,
- libqt6gui6t64,
- libqt6core6t64,
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
