## tetzle 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2024 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 3.0.0 LANGUAGES CXX)
+project(tetzle VERSION 3.0.1 LANGUAGES CXX)
 
-set(project_copyright "2008-2024 Graeme Gott")
+set(project_copyright "2008-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060700>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number
