=== debian/changelog ===
tetzle (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Restore previous changelog entry (Closes: #1078687) 

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2025 14:04:55 +0200
