## tetzle 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(tetzle VERSION 3.0.1 LANGUAGES CXX)
+project(tetzle VERSION 3.0.2 LANGUAGES CXX)
 
 set(project_copyright "2008-2025 Graeme Gott")
 
@@ -31,6 +31,33 @@
 
 # Create program
 qt_add_executable(tetzle
+	# Headers
+	src/add_image.h
+	src/appearance_dialog.h
+	src/board.h
+	src/choose_game_dialog.h
+	src/color_button.h
+	src/dancing_links.h
+	src/edge_scroller.h
+	src/fragment_list.h
+	src/generator.h
+	src/image_properties_dialog.h
+	src/locale_dialog.h
+	src/message.h
+	src/new_game_tab.h
+	src/open_game_tab.h
+	src/overview.h
+	src/path.h
+	src/piece.h
+	src/tag_manager.h
+	src/thumbnail_delegate.h
+	src/thumbnail_item.h
+	src/thumbnail_loader.h
+	src/tile.h
+	src/toolbar_list.h
+	src/window.h
+	src/zoom_slider.h
+	# Sources
 	src/add_image.cpp
 	src/appearance_dialog.cpp
 	src/board.cpp
@@ -49,13 +76,14 @@
 	src/overview.cpp
 	src/path.cpp
 	src/piece.cpp
-	src/tile.cpp
 	src/tag_manager.cpp
 	src/thumbnail_delegate.cpp
 	src/thumbnail_loader.cpp
+	src/tile.cpp
 	src/toolbar_list.cpp
 	src/window.cpp
 	src/zoom_slider.cpp
+	# Resources
 	data/data.qrc
 	${translations_QM}
 )
@@ -130,8 +158,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/tetzle/translations)
 	install(FILES doc/tetzle.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES data/unix/tetzle.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES data/unix/tetzle.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/data/unix/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS TETZLE_DATADIR="${datadir}")
