## tetzle 3.0.3

=== debian/changelog ===
tetzle (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:26:51 +0200
