=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  mesa-common-dev,
  libqt6opengl6-dev,
  cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tetzle
 Vcs-Git: https://salsa.debian.org/debian/tetzle.git
