=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games
	echo $$PWD

override_dh_install:
	mv debian/tetzle/usr/bin debian/tetzle/usr/games
	dh_install
